Mark Chat as Read
PUT
/api/partner/v2/chats/{chat_id}/mark_as_read
const url = 'https://api.linqapp.com/api/partner/v2/chats/1/mark_as_read';const options = { method: 'PUT', headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.linqapp.com/api/partner/v2/chats/1/mark_as_read \ --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'Marks all messages in a chat as read. This endpoint does not require a request body.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” chat_id
required
integer
The chat ID
Responses
Section titled “ Responses ”Chat marked as read successfully
Chat not found
Media type application/json
Standard error format used by most endpoints (render_error format)
object
errors
Array<object>
object
status
integer
code
string
title
string
detail
string
Example
{ "errors": [ { "status": 404, "code": "not_found", "title": "Not Found", "detail": "Chat not found" } ]}